Bug 1053986 - [RFE][horizon]: Improvements to the instance creation
Summary: [RFE][horizon]: Improvements to the instance creation
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-16 05:04 UTC by RHOS Integration
Modified: 2015-11-20 19:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:32:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-16 05:04:10 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/improvements-instance-creation.

Description:

With all the different hypervisors supported and with each hypervisor have a list of parameters. Horizon need a way to set this parameters. Example: We could set the video drivers in most hypervisors. But the parameter is different for each VM.

What I suggest is to implement a key/value structure of all possible values in the form of [hypervisor][option][parameter]= value. The value is what will be passed to nova. 

Example
{'KVM': 
  'video_driver':{'vga': 'hw_video_drv=vga', 'cirrus': 'hw_video_drv=cirrus' },
  'video_memory_range': ('hw_video_memory': '1:10:1'),
 ...
}}

The type of values we can represent are dictionaries and numerical ranges

In the create instance form, we could dynamically populate the form with [option][parameter]. We must make sure that the keys of [option][parameter] matches for every [hypervisor].

So far, nova need to update the image meta-data before spinning up a instance.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.